use utoipa_axum::{router::OpenApiRouter, routes};

use crate::api::routes::auth::handlers::login_post::{__path_authorize, authorize};
use crate::api::routes::auth::handlers::logout_post::{__path_logout, logout};

mod handlers;
pub mod models;

// expose the OpenAPI to parent module
pub fn router() -> OpenApiRouter {
    OpenApiRouter::new()
        .routes(routes!(authorize))
        .routes(routes!(logout))
}
