use utoipa_axum::{router::OpenApiRouter, routes};

use crate::login_required;

use handlers::data_hub_get::*;

mod handlers;
pub mod models;

// expose the OpenAPI to parent module
pub fn router() -> OpenApiRouter {
    let read = OpenApiRouter::new()
        .routes(routes!(sse_data_hub))
        .route_layer(login_required!());

    OpenApiRouter::new().merge(read)
}
