use utoipa_axum::{router::OpenApiRouter, routes};

use crate::{
    api::routes::users::permissions::{Permission, PermissionDetail},
    login_required, permission_required,
};

use handlers::units_get::*;
use handlers::units_post::*;
use handlers::units_put::*;

mod handlers;
pub mod models;
pub mod sql;

// expose the OpenAPI to parent module
pub fn router() -> OpenApiRouter {
    let read = OpenApiRouter::new()
        .routes(routes!(get_units))
        // .route_layer(permission_required!(Permission::Read(
        //     PermissionDetail::units
        // )));
        .route_layer(login_required!());
    let write = OpenApiRouter::new()
        .routes(routes!(create_unit, update_unit))
        .route_layer(permission_required!(Permission::Write(
            PermissionDetail::Units
        )));

    OpenApiRouter::new().merge(read).merge(write)
}
