use serde::{Deserialize, Serialize};
use ts_rs::TS;
use utoipa::ToSchema;

use crate::api::routes::models::Status;

#[derive(Debug, Clone, Serialize, Deserialize, TS, ToSchema)]
#[ts(export)]
pub struct Unit {
    pub id: i32,
    pub display: String,
    pub abbreviation: String,
    pub description: Option<String>,
    pub status: Status,
}
