CREATE TABLE IF NOT EXISTS public.group_permissions
(
    "GroupID" integer NOT NULL,
    "Permission" character varying(250) COLLATE pg_catalog."default" NOT NULL,
    CONSTRAINT "DistinctGroupPermission" UNIQUE ("GroupID", "Permission"),
    CONSTRAINT "GroupID" FOREIGN KEY ("GroupID")
        REFERENCES public.groups ("GroupID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.group_permissions
    OWNER to postgres;

COMMENT ON TABLE public.group_permissions
    IS 'Group -> Permission relation';