-- Table: public.departments

-- DROP TABLE IF EXISTS public.departments;

CREATE TABLE IF NOT EXISTS public.departments
(
    "DepartmentID" integer NOT NULL GENERATED ALWAYS AS IDENTITY ( INCREMENT 1 START 1 MINVALUE 1 MAXVALUE 2147483647 CACHE 1 ),
    "DepartmentName" character varying COLLATE pg_catalog."default" NOT NULL,
    "Description" character varying COLLATE pg_catalog."default",
    "ManagerID" character varying COLLATE pg_catalog."default" NOT NULL,
    "ViceManagerID" character varying COLLATE pg_catalog."default" NOT NULL,
    "Status" smallint NOT NULL DEFAULT 1,
    CONSTRAINT departments_pkey PRIMARY KEY ("DepartmentID"),
    CONSTRAINT "ForeignKeyManager" FOREIGN KEY ("ManagerID")
        REFERENCES public.users ("UserID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION,
    CONSTRAINT "ForeignKeyViceManager" FOREIGN KEY ("ViceManagerID")
        REFERENCES public.users ("UserID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.departments
    OWNER to postgres;