-- Table: public.drafts_files

-- DROP TABLE IF EXISTS public.drafts_files;

CREATE TABLE IF NOT EXISTS public.drafts_files
(
    "DraftIDTime" timestamp without time zone NOT NULL,
    "DraftIDUser" character varying COLLATE pg_catalog."default" NOT NULL,
    "FileHash" character varying COLLATE pg_catalog."default" NOT NULL,
    "FileName" character varying COLLATE pg_catalog."default" NOT NULL,
    CONSTRAINT drafts_files_pkey PRIMARY KEY ("DraftIDTime", "DraftIDUser", "FileHash"),
    CONSTRAINT "drafts_files_DraftIDTime_DraftIDUser_fkey" FOREIGN KEY ("DraftIDTime", "DraftIDUser")
        REFERENCES public.drafts ("DraftIDTime", "DraftIDUser") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE CASCADE,
    CONSTRAINT "drafts_files_FileHash_fkey" FOREIGN KEY ("FileHash")
        REFERENCES public.files ("Hash") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE CASCADE
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.drafts_files
    OWNER to postgres;