-- Table: public.orderPositions_files

-- DROP TABLE IF EXISTS public."orderPositions_files";

CREATE TABLE IF NOT EXISTS public."orderPositions_files"
(
    "OrderID" integer NOT NULL,
    "PositionID" integer NOT NULL,
    "FileHash" character varying COLLATE pg_catalog."default" NOT NULL,
    "FileName" character varying COLLATE pg_catalog."default" NOT NULL,
    CONSTRAINT "orderPositions_files_pkey" PRIMARY KEY ("OrderID", "PositionID", "FileHash"),
    CONSTRAINT "orderPositions_files_FileHash_fkey" FOREIGN KEY ("FileHash")
        REFERENCES public.files ("Hash") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE CASCADE
        NOT VALID,
    CONSTRAINT "orderPositions_files_OrderID_PositionID_fkey" FOREIGN KEY ("OrderID", "PositionID")
        REFERENCES public."orderPositions" ("OrderID", "PositionID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE CASCADE
        NOT VALID
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public."orderPositions_files"
    OWNER to postgres;
-- Index: FileHashIndex

-- DROP INDEX IF EXISTS public."FileHashIndex";

CREATE INDEX IF NOT EXISTS "FileHashIndex"
    ON public."orderPositions_files" USING btree
    ("FileHash" COLLATE pg_catalog."default" ASC NULLS LAST)
    WITH (deduplicate_items=True)
    TABLESPACE pg_default;