-- Table: public.rulesets

-- DROP TABLE IF EXISTS public.rulesets;

CREATE TABLE IF NOT EXISTS public.rulesets
(
    "RulesetID" integer NOT NULL,
    "RulesetHash" character varying COLLATE pg_catalog."default" NOT NULL,
    "CreatedBy" character varying COLLATE pg_catalog."default" NOT NULL,
    "Timestamp" time with time zone NOT NULL DEFAULT now(),
    "Status" smallint NOT NULL DEFAULT 0,
    "Signature" character varying COLLATE pg_catalog."default" NOT NULL,
    "PublicKeyID" integer NOT NULL,
    CONSTRAINT rulesets_pkey PRIMARY KEY ("RulesetID"),
    CONSTRAINT "rulesets_CreatedBy_fkey" FOREIGN KEY ("CreatedBy")
        REFERENCES public.users ("UserID") MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
)

TABLESPACE pg_default;

ALTER TABLE IF EXISTS public.rulesets
    OWNER to postgres;